#
# Tool chain support for Freescale (nee Metrowerks) HC12 (S12)
#
# To use this invoke CMake like so:
#
#	CMake -G"NMake Makefiles" -DCMAKE_MODULE_PATH:string=c:\freescale-hc12-demo\toolchain -DCMAKE_TOOLCHAIN_FILE:string=Toolchain-Freescale-HC12 ..\source
#
# Important, make sure you include the ":string" type option, otherwise the entries won't be placed in the
# cache causing later problems when make automatically a CMake rebuild.
#

MESSAGE ("Loaded: Toolchain-Freescale-HC12.cmake")

SET (CMAKE_SYSTEM_INFO_FILE Freescale-HC12)

#
# Convince CMake we know our compiler works OK.
# If we don't do this it will do a TRY-COMPILE which will fail to link.
#
SET (CMAKE_C_COMPILER_ID_RUN	TRUE)
SET (CMAKE_C_COMPILER_WORKS 	TRUE)

SET (CMAKE_CXX_COMPILER_ID_RUN 	TRUE)
SET (CMAKE_CXX_COMPILER_WORKS 	TRUE)

#
# Workaround to inhibit CMake from performing an TRY-COMPILE to determine the size of "void *",
# this size isn't ever used so its actual value doesn't matter.
#
SET (CMAKE_SIZEOF_VOID_P 		2)

#
# We have to setup the object type very early, as this can't be overridden later on.
#
SET (CMAKE_C_OUTPUT_EXTENSION 	 ".o" CACHE STRING "C compiler object extension.")
SET (CMAKE_CXX_OUTPUT_EXTENSION  ".o" CACHE STRING "C++ compiler object extension.")
